Obter condutor
curl --request GET \
--url https://api-vendas.taximachine.com.br/api/v2/integracao/condutores/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'api-key: <api-key>'import requests
url = "https://api-vendas.taximachine.com.br/api/v2/integracao/condutores/{id}"
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Basic <encoded-value>', 'api-key': '<api-key>'}
};
fetch('https://api-vendas.taximachine.com.br/api/v2/integracao/condutores/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "5574",
"nome": "Lara",
"email": "lara@exemplo.com",
"telefone": "(012) 93485-8345",
"status": "E",
"cpf": "879.213.930-20",
"chave_pix": null,
"pagamentos": [],
"categorias": [
{
"id": 1,
"nome": "Categoria 1"
}
],
"avaliacao_media": null,
"data_hora_situacao_cadastral": "2024-03-27 09:54:53",
"data_hora_ultima_corrida": null,
"numero_viatura": null,
"observacao_interna_1": null,
"observacao_interna_2": null,
"observacao_interna_3": null,
"endereco": "Jeffery Well",
"numero_endereco": "",
"complemento": "",
"bairro": "",
"nome_cidade": "Mullerchester",
"uf_sigla": "",
"cep": "99999-999",
"pais_nome": "Guinea",
"referencia_endereco": null,
"dados_extras": "",
"foto_url": "https://s3.amazonaws.com/exemplo-bucket/fotos/condutor-5574.jpg?X-Amz-Expires=..."
}
]
}{
"success": false,
"errors": [
{
"code": 56,
"message": "Condutor não encontrado."
}
]
}Condutores
Obter condutor
Retorna um condutor da central conforme o ID informado. Para acessar este endpoint, o usuário autenticado deve ter a permissão API - Corrida.
GET
/
condutores
/
{id}
Obter condutor
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Path Parameters
ID do condutor.
Response
Sucesso
The response is of type object.
⌘I
